Upload Session Append Batch
Append more data to multiple upload sessions. Each piece of file content to append to each
upload session should be concatenated in the request body, in the order delineated by
UploadSessionAppendBatchArg.entries and their individual lengths indicated by
UploadSessionAppendBatchArgEntry.length. A single request should not upload more than 150 MiB.
The maximum size of a file one can upload to an upload session is
2^41 - 2^22 (2,199,019,061,248) bytes. Calls to this endpoint will count as data transport
calls for any Dropbox Business teams with a limit on the number of data transport calls allowed
per month. For more information, see the Data transport limit page
https://www.dropbox.com/developers/reference/data-transport-limit.
Required scope: files.content.write
Endpoint format: Content-upload
Authentication: User, Dropbox-API-Select-Admin (Team Admin)
Authentication
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
JSON-encoded arguments. Non-ASCII characters and 0x7F must use JSON \uXXXX escape sequences to be HTTP-header-safe.
Request
Response headers
Response
Each entry in UploadSessionAppendBatchArg.entries will appear at the same position
inside UploadSessionAppendBatchResult.entries.